import { EventEmitter, OnInit } from '@angular/core';
import { GrcResponsibilityListingComponent } from '../grc-responsibility-listing/grc-responsibility-listing.component';
import { Subscription } from 'rxjs';
import { GrcService } from '../../services/grc.service';
import * as i0 from "@angular/core";
export declare class ProgramResponsibilityListingComponent implements OnInit {
    private grcService;
    programTypes: {
        title: string;
        count: number;
        selectedCount: number;
        key: string;
        type: number;
    }[];
    CDN_LINK: {
        grcObjectName: string;
        grcOwners: string;
        grcRC: string;
        grcType: string;
        customFields: string;
        noData: string;
        linkOthers: string;
        linkGRC: string;
        linkPolicyNoDataImage: string;
        linkedPolicyImage: string;
    };
    selectedTab: 0 | 1 | 2 | 3;
    animation: boolean;
    programLoader: boolean;
    programCountLoader: boolean;
    responsibilityLoader: boolean;
    categoryLoader: boolean;
    selectedProgramAndResp: any[];
    preSelectedProgramAndResp: any[];
    searchString: string;
    currentBusinessCycle: any;
    selectedProgram: any;
    selectedCategory: any;
    programCurrentPage: number;
    categoryCurrentPage: number;
    responsibilityCurrentPage: number;
    programData: any;
    categoryData: any;
    responsibilityData: any;
    selectedProgramIds: any[];
    selectedCategoryIds: any[];
    selectedResponsibilities: any[];
    selectedRCIds: number[];
    programCall: Subscription;
    categoryCall: Subscription;
    responsibilityCall: Subscription;
    set getSelectedProgramAndResp(data: any);
    selectedRC: any[];
    MODE: 'CREATE' | 'EDIT';
    closeList: EventEmitter<any>;
    responsibilityListingComponent: GrcResponsibilityListingComponent;
    constructor(grcService: GrcService);
    ngOnInit(): void;
    close(): void;
    save(): void;
    getProgramsList(event?: any): void;
    onProgramPageChange(event: any): void;
    onSubCategoryPageChange(event: any): void;
    deleteEvent(event: any): void;
    setSelectedTab(event: any): void;
    handleSearch(event: any): void;
    getProgramsCount(paramsObject?: any): void;
    getCategoryByProgramId(program: any): void;
    activeSelectedProgram(event: any): void;
    activeSelectedSubCategory(event: any): void;
    getResponsibilitiesList(event?: any): void;
    getUpdatedDataList(event: any): void;
    setDataListStructure(res: any): any;
    onSelectedProgramChange(): void;
    changeSelectedProgramAndResp(event: any): void;
    getSelectedProgramIds(selectedData: any): void;
    getSelectedCategoryIds(selectedData: any): void;
    getAllSelectedResponsibilities(selectedData: any): void;
    getSelectedRCIds(selectedRC: any[]): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgramResponsibilityListingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProgramResponsibilityListingComponent, "app-program-responsibility-listing", never, { "getSelectedProgramAndResp": { "alias": "selectedProgramAndResp"; "required": false; }; "selectedRC": { "alias": "selectedRC"; "required": false; }; "MODE": { "alias": "MODE"; "required": false; }; }, { "closeList": "closeList"; }, never, never, true, never>;
}
